server.port = 8080
# Urls
saic.url.domain = http://127.0.0.1:8080
saic.url.data.domain = http://127.0.0.1:8081
saic.url.docs.domain = http://127.0.0.1:8082
saic.url.public = ${saic.url.domain}/public

# JPA Debug
#spring.jpa.show-sql=true 
#spring.jackson.serialization.FAIL_ON_SELF_REFERENCES=false

# Email config
saic.mailer.queue.enabled = false
saic.mailer.reminder.enabled = false
saic.mailer.calendar.enabled = false
saic.mailer.maxMailsPerRound = 20

# Data parser config
saic.parser.surveys.path = /home/dagarcos/DATA_SYNC/UV_APPS/SAIC/DATA/saic-data/databases/
saic.parser.surveys.enabled = false

# Database config
spring.datasource.url=jdbc:postgresql://saicd.uv.es:5432/saic_v2
spring.datasource.password=docent1ia2.l6

# Files and log config
saic.data.filePath=C:\\SAIC\\files\\
saic.data.tmpPath=C:\\SAIC\\tmp\\
saic.data.docsPath=C:\\SAIC\\documents\\
saic.data.templates.filePath = C:\\SAIC\\templates\\
saic.data.templates.logoPath = C:\\SAIC\\templates\\logos\\
saic.data.templates.fileNotFound = C:\\SAIC\\utils\\filenotfound.pdf
logging.file.path=C:\\SAIC\\logs\\
logging.file.name=C:\\SAIC\\logs\\saic.log

#BORRAR
saic.data.master = C:\\SAIC\\databases\\MasterOficial\\
saic.data.doctorado = C:\\SAIC\\databases\\doctorat\\
saic.data.evdocente = C:\\SAIC\\databases\\ev_docente\\latest\\

# Scheduler
saic.scheduler.expired.enabled=false

# Actuator
spring.application.name = UV SAIC [LO]
spring.boot.admin.client.url=http://127.0.0.1:9090
spring.boot.admin.client.instance.management-base-url=${saic.url.domain}
spring.boot.admin.client.instance.service-url=${saic.url.domain}
spring.boot.admin.client.username=admin
spring.boot.admin.client.password=kkdvk
management.endpoints.web.exposure.include=*
management.endpoint.health.show-details=always
saic.actuator.validIp=127.0.0.1

